Subject: bug#62113: Elpy fails to start within a guix shell environment

From: Rafa Gálvez <[email-masked]>
Date: Fri, 10 Mar 2023 11:31:15 +0100

Hi,

 I can't make Elpy work. In my main profile I have emacs-elpy installed,
 but whenever I open a .py file, there is an error on the sentinel:
 error in process sentinel: elpy-promise-reject: peculiar error: "exited
 abnormally with code 1"
 error in process sentinel: peculiar error: "exited abnormally with code
 1"

 This is most probably caused by the lack of the elpy python module in
 the guix shell I'm running Emacs from. However, there is no python-elpy
 package to install. I am avoiding setting up a virtualenv in order to
 rely completely on Guix manifests for reproducibility purposes.

 Maybe what's just needed is to package https://pypi.org/project/elpy/
 into Guix?

 Thanks,

Rafa Gálvez